Package uk.ac.starlink.vo

## Interface VocabTerm

-     public interface VocabTerm

  Represents a term in an IVOA Vocabulary and its associated properties.

  This class is written with reference to Version 2.0 of the document Vocabularies in the VO, and particularly the Desise serialization described there. Note that document is in Working Draft status at time of writing.

  See Also:
    Vocabularies in the VO, Section 3

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDescription()` | Returns a human-readable description of the underlying concept.
    `java.lang.String` | `getLabel()` | Returns a human-readable string for display purposes.
    `java.lang.String[]` | `getNarrower()` | Returns a list of terms related to this one by semantic narrowing.
    `java.lang.String` | `getTerm()` | Returns the term token itself.
    `java.lang.String[]` | `getWider()` | Returns a list of terms related to this one by semantic widening.
    `boolean` | `isDeprecated()` | Indicates whether this term is deprecated, and hence should be avoided.
    `boolean` | `isPreliminary()` | Indicates whether this term is preliminary and hence may disappear without warning from the vocabulary.

- - ### Method Detail

    - #### getTerm

          java.lang.String getTerm()

      Returns the term token itself. This is the unqualified term name with no namespace or "#".
      Returns:
        term

    - #### getLabel

          java.lang.String getLabel()

      Returns a human-readable string for display purposes.
      Returns:
        label

    - #### getDescription

          java.lang.String getDescription()

      Returns a human-readable description of the underlying concept.
      Returns:
        description

    - #### isPreliminary

          boolean isPreliminary()

      Indicates whether this term is preliminary and hence may disappear without warning from the vocabulary.
      Returns:
        preliminary flag

    - #### isDeprecated

          boolean isDeprecated()

      Indicates whether this term is deprecated, and hence should be avoided.
      Returns:
        deprecation flag

    - #### getWider

          java.lang.String[] getWider()

      Returns a list of terms related to this one by semantic widening.
      Returns:
        array of wider term strings

    - #### getNarrower

          java.lang.String[] getNarrower()

      Returns a list of terms related to this one by semantic narrowing.
      Returns:
        array of narrower term strings